---
AllCops:
  TargetRubyVersion: 2.3
  Exclude:
    - "bin/**/*"
    - "spec/dummy/bin/**/*"
    - "tmp/**/*"
    - "vendor/**/*"

# not available in older versions of Ruby
Layout/IndentHeredoc:
  Enabled: false

Style/Documentation:
  Enabled: false

Style/ClassAndModuleChildren:
  EnforcedStyle: nested

Style/SingleLineBlockParams:
  Enabled: false

Metrics/BlockLength:
  Exclude:
    - spec/**/*_spec.rb

Metrics/LineLength:
  Max: 120
